Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Timer_Hash_Iterator_T Class Template Reference

Iterates over an <ACE_Timer_Hash_T>. More...

`#include <Timer_Hash_T.h>`

Inheritance diagram for ACE_Timer_Hash_Iterator_T:

[legend]
Collaboration diagram for ACE_Timer_Hash_Iterator_T:

[legend]
List of all members.

## Public Methods
| ACE_Timer_Hash_Iterator_T (ACE_Timer_Hash_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET > &)
| Constructor. More...
virtual void | first (void)
| Positions the iterator at the earliest node in the Timer Queue. More...
virtual void | next (void)
| Positions the iterator at the next node in the Timer Queue. More...
virtual int | isdone (void) const
| Returns true when there are no more nodes in the sequence. More...
virtual ACE_Timer_Node_T< TYPE > * | item (void)
| Returns the node at the current position in the sequence. More...
## Protected Attributes
ACE_Timer_Hash_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET > & | timer_hash_
| Pointer to the <ACE_Timer_Hash> that we are iterating over. More...
size_t | position_
| Current position in <timer_hash_>'s table. More...
ACE_Timer_Queue_Iterator_T< TYPE, ACE_Timer_Hash_Upcall< TYPE, FUNCTOR, ACE_LOCK >, ACE_Null_Mutex > * | iter_
| Current iterator used on <position>'s bucket. More...

## Detailed Description

### template<class TYPE, class FUNCTOR, class ACE_LOCK, class BUCKET>
class ACE_Timer_Hash_Iterator_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET >

Iterates over an <ACE_Timer_Hash_T>.

This is a generic iterator that can be used to visit every node of a timer queue. Be aware that it doesn't transverse in the order of timeout values.

## Constructor & Destructor Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK, class BUCKET>
ACE_Timer_Hash_Iterator_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET >::ACE_Timer_Hash_Iterator_T | ( | ACE_Timer_Hash_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET > & | hash | ) |

| Constructor.

## Member Function Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK, class BUCKET>
void ACE_Timer_Hash_Iterator_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET >::first | ( | void |  | ) | `[virtual]`

| Positions the iterator at the earliest node in the Timer Queue. Reimplemented from ACE_Timer_Queue_Iterator_T.

template<class TYPE, class FUNCTOR, class ACE_LOCK, class BUCKET>
int ACE_Timer_Hash_Iterator_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET >::isdone | ( | void |  | ) | const`[virtual]`

| Returns true when there are no more nodes in the sequence. Reimplemented from ACE_Timer_Queue_Iterator_T.

template<class TYPE, class FUNCTOR, class ACE_LOCK, class BUCKET>
ACE_Timer_Node_T< TYPE > * ACE_Timer_Hash_Iterator_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET >::item | ( | void |  | ) | `[virtual]`

| Returns the node at the current position in the sequence. Reimplemented from ACE_Timer_Queue_Iterator_T.

template<class TYPE, class FUNCTOR, class ACE_LOCK, class BUCKET>
void ACE_Timer_Hash_Iterator_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET >::next | ( | void |  | ) | `[virtual]`

| Positions the iterator at the next node in the Timer Queue. Reimplemented from ACE_Timer_Queue_Iterator_T.

## Member Data Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK, class BUCKET>
ACE_Timer_Queue_Iterator_T<TYPE, ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>, ACE_Null_Mutex>* ACE_Timer_Hash_Iterator_T::iter_`[protected]`

| Current iterator used on <position>'s bucket.

template<class TYPE, class FUNCTOR, class ACE_LOCK, class BUCKET>
size_t ACE_Timer_Hash_Iterator_T::position_`[protected]`

| Current position in <timer_hash_>'s table.

template<class TYPE, class FUNCTOR, class ACE_LOCK, class BUCKET>
ACE_Timer_Hash_T<TYPE, FUNCTOR, ACE_LOCK, BUCKET>& ACE_Timer_Hash_Iterator_T::timer_hash_`[protected]`

| Pointer to the <ACE_Timer_Hash> that we are iterating over.

The documentation for this class was generated from the following files:

- Timer_Hash_T.h
- Timer_Hash_T.cpp